Page MenuHomePhabricator

JSON parse error from cxsave API error logging
Closed, ResolvedPublic

Description

Two instances of this error spotted in the error logging of cxsave 'save-failure' types

{"xhr":{"readyState":4,"responseText":"","status":200,"statusText":"OK"},"textStatus":"parsererror","exception":"SyntaxError: JSON.parse: unexpected end of data at line 1 column 1 of the JSON
timestampfromtitletotarget title
20160309055517enJohn La Fargecausuari:E
20160305172111enDancing in the Dark (Bruce Springsteen song)ca

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 10 2016, 11:58 AM
santhosh triaged this task as Normal priority.Mar 10 2016, 11:58 AM

Change 277190 had a related patch set uploaded (by Santhosh):
API cxsave: Prevent php error when target title object is null

https://gerrit.wikimedia.org/r/277190

santhosh claimed this task.Mar 14 2016, 6:25 AM
santhosh moved this task from Backlog to In Review on the LE-CX8-Sprint break board.
Arrbee moved this task from Backlog to In Review on the LE-CX8-Sprint 4 board.

Change 277190 merged by jenkins-bot:
API cxsave: Prevent php error when target title object is null

https://gerrit.wikimedia.org/r/277190

Nikerabbit moved this task from In Review to QA on the LE-CX8-Sprint 4 board.Mar 15 2016, 6:57 AM
Amire80 moved this task from Needs Triage to CX8 on the ContentTranslation board.Mar 23 2016, 6:37 AM
Arrbee moved this task from QA to Done on the LE-CX8-Sprint 4 board.Mar 29 2016, 6:40 AM
Arrbee closed this task as Resolved.Mar 29 2016, 7:48 AM